/* *****************************************************************************
 * libg1m/fontcharacter.h -- libg1m FONTCHARACTER-related utilities.
 * Copyright (C) 2017 Thomas "Cakeisalie5" Touhey <thomas@touhey.fr>
 *
 * This file is part of libg1m.
 * libg1m is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3.0 of the License,
 * or (at your option) any later version.
 *
 * libg1m is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with libg1m; if not, see <http://www.gnu.org/licenses/>.
 * ************************************************************************** */
#ifndef LIBG1M_FONTCHARACTER_H
# define LIBG1M_FONTCHARACTER_H
# include <libfontcharacter.h>

/* All FONTCHARACTER-related utilities that used to be there were moved into
 * a separate library, libfontcharacter, which also takes care of the
 * translations (multi-byte/fixed-width, unicode, tokens).
 *
 * This header is there so the usage of FONTCHARACTER-related utilities in
 * libg1m can be more modular.
 *
 * Here are macros, for later change. */

# define g1m_wctomb(S, WC)         (fc_wctomb((S), (WC)))
# define g1m_wcstombs(DST, SRC, N) (fc_wcstombs((DST), (SRC), (N)))
# define g1m_mbtowc(PWC, S, N)     (fc_mbtowc((PWC), (S), (N)))
# define g1m_mbstowcs(DST, SRC, N) (fc_mbstowcs((DST), (SRC), (N)))
#endif /* LIBG1M_FONTCHARACTER_H */
