/* *****************************************************************************
 * libg1m/format/cas/picture.h -- description of the CAS picture format.
 * Copyright (C) 2017 Thomas "Cakeisalie5" Touhey <thomas@touhey.fr>
 *
 * This file is part of libg1m.
 * libg1m is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3.0 of the License,
 * or (at your option) any later version.
 *
 * libg1m is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with libg1m; if not, see <http://www.gnu.org/licenses/>.
 * ************************************************************************** */
#ifndef LIBG1M_FORMAT_CAS_PICTURE_H
# define LIBG1M_FORMAT_CAS_PICTURE_H
# include <stdint.h>
# pragma pack(1)

/* ************************************************************************** */
/*  CAS40 specific header bytes                                               */
/* ************************************************************************** */
/* In old CAS headers, the five specific bytes are the following: */

struct cas_spe_screenshot {
	uint8_t height;
	uint8_t width;
	uint8_t _unused[3];
};

/* The specific bytes for a number start with either "RA" or "CA", 'R' or 'C'
 * meaning the number is complex or not. */
/* ************************************************************************** */
/*  Content                                                                   */
/* ************************************************************************** */
/* The width and height are given in the CAS50 header/CAS40 specific bytes.
 * The picture format is either `g1m_pictureformat_4bit_mono` or
 * `g1m_pictureformat_4bit_color` -- see `libg1m/picture.h`. */

# pragma pack()
#endif /* LIBG1M_FORMAT_CAS_PICTURE_H */
